Package Scientific :: Package Visualization :: Module VPython :: Class ShapeObject

[frames] | no frames]

# Class ShapeObject

    GraphicsObject --+
                     |
                    ShapeObject

Known Subclasses:
  - Arrow
  - , Cone
  - , Cube
  - , Cylinder
  - , PolyLines
  - , Polygons
  - , Sphere

Graphics objects representing geometrical shapes

This is an abstract base class. Use one of the subclasses to generate graphics.

Instance Methods

__add__(self, other) |

display(self, window) |

Inherited from `GraphicsObject`: `__copy__`, `__getitem__`, `__init__`, `__setitem__`

Class Variables
| attribute_names = ``[``'``comment``'``,` `'``material``'``]``